<?php
require 'conn.php'; // Database connection

header('Content-Type: application/json');
$response = ["status" => "error", "message" => "Invalid request."];

// Function to generate a random password with the required format
function generatePassword($length = 6) {
    return "dtce" . substr(str_shuffle("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789@#$%&"), 0, $length);
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['id'])) {
        // Change password for a single province
        $id = $_POST['id'];
        $new_password = generatePassword();
        
        $updateQuery = "UPDATE province SET password = ? WHERE id = ?";
        $stmt = $conn->prepare($updateQuery);
        if ($stmt->execute([$new_password, $id])) {
            $response = ["status" => "success", "new_password" => $new_password];
        } else {
            $response = ["status" => "error", "message" => "Failed to update password."];
        }
    } elseif (isset($_POST['all'])) {
        // Regenerate passwords for all provinces
        $updateQuery = "UPDATE province SET password = ? WHERE id = ?";
        $stmt = $conn->prepare($updateQuery);
        
        $success = true;
        foreach ($conn->query("SELECT id FROM province") as $row) {
            $new_password = generatePassword();
            if (!$stmt->execute([$new_password, $row['id']])) {
                $success = false;
                break;
            }
        }
        
        if ($success) {
            $response = ["status" => "success", "message" => "Passwords regenerated for all provinces."];
        } else {
            $response = ["status" => "error", "message" => "Failed to regenerate passwords."];
        }
    }
}

echo json_encode($response);
