<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Dashboard</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css">
    <link rel="stylesheet" href="./dashb.css">

    
</head>

<body>

   <!-- Navbar -->
<!-- Sidebar -->
<div class="sidebar" id="sidebar">
<h2>Admin</h2>
    <a href="#"><i class="fas fa-home"></i> <span>Dashboard</span></a>
    <a href="#"><i class="fas fa-users"></i> <span>Users</span></a>
    <a href="#"><i class="fas fa-cog"></i> <span>Settings</span></a>
</div>

<!-- Main Content -->
<div class="content">
    
    <!-- Navbar -->
    <div class="navbar d-flex justify-content-between align-items-center">
        
        <!-- Sidebar Toggle Button -->
        <span class="toggle-btn" onclick="toggleSidebar()">
            <i class="fas fa-bars"></i>
        </span>
        <img src="" alt="Logo" >
          <h2>DTCE</h2>
        

        <div class="d-flex align-items-center gap-3">
            <!-- Mobile Toggle Button for Hidden Navbar Items -->
            <button class="btn btn-outline-secondary d-md-none" onclick="toggleMobileNav()">
                <i class="bi bi-three-dots"></i>
            </button>

            <!-- Hidden Nav Items (Visible on Desktop, Toggle on Mobile) -->
            <div class="nav-hidden-items d-none d-md-flex align-items-center gap-3">
                <!-- Notification Dropdown -->
                <div class="dropdown">
                    <button class="btn btn-outline-secondary position-relative dropdown-toggle" type="button" id="notificationsDropdown" data-bs-toggle="dropdown">
                        <i class="bi bi-bell"></i>
                        <span class="position-absolute top-0 start-100 translate-middle badge bg-danger">3</span>
                    </button>
                    <ul class="dropdown-menu dropdown-menu-end">
                        <li><a class="dropdown-item" href="#">New admission received</a></li>
                        <li><a class="dropdown-item" href="#">Payment confirmed</a></li>
                        <li><a class="dropdown-item" href="#">System update available</a></li>
                    </ul>
                </div>

                <!-- Messages Dropdown -->
                <div class="dropdown">
                    <button class="btn btn-outline-secondary position-relative dropdown-toggle" type="button" id="messagesDropdown" data-bs-toggle="dropdown">
                        <i class="bi bi-envelope"></i>
                        <span class="position-absolute top-0 start-100 translate-middle badge bg-danger">5</span>
                    </button>
                    <ul class="dropdown-menu dropdown-menu-end">
                        <li><a class="dropdown-item" href="#">New message from admin</a></li>
                        <li><a class="dropdown-item" href="#">Reminder: Payment due</a></li>
                        <li><a class="dropdown-item" href="#">Your request has been approved</a></li>
                    </ul>
                </div>

                <!-- Dark Mode Toggle -->
                <button class="btn btn-outline-dark" onclick="toggleDarkMode()">
                    <i id="darkModeIcon" class="bi bi-moon"></i> 
                    <span id="darkModeText">Dark Mode</span>
                </button>
            </div>

            <!-- Profile Dropdown -->
            <div class="dropdown">
                <button class="btn btn-outline-primary dropdown-toggle" type="button" id="profileDropdown" data-bs-toggle="dropdown">
                    <i class="bi bi-person-circle"></i> <span class="profile-name">John Doe</span>
                </button>
                <ul class="dropdown-menu dropdown-menu-end">
                    <li><a class="dropdown-item" href="#"><i class="bi bi-person"></i> Edit Profile</a></li>
                    <li><a class="dropdown-item" href="#"><i class="bi bi-key"></i> Change Password</a></li>
                    <li><a class="dropdown-item" href="#"><i class="bi bi-gear"></i> Settings</a></li>
                    <li><a class="dropdown-item" href="#"><i class="bi bi-box-arrow-right"></i> Logout</a></li>
                </ul>
            </div>
        </div>
    </div>

    <!-- Main Content Area -->
    <div class="container mt-5"> 
        <div class="card shadow">
            <div class="content">
                <h1>Welcome to the Admin Dashboard</h1>
                <p>Manage your system efficiently with this dashboard. Keep track of admissions, payments, and system updates.</p>
            </div>
        </div>
    </div>
</div>


    <div class="footer">
        <p>&copy; <?php echo date("Y"); ?> RCCG DTCE - Zonal Coordinator Dashboard. All Rights Reserved.</p>
    </div>


<!-- Bootstrap 5 CSS -->


<!-- Bootstrap 5 JS (for dropdowns) -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>

    <script>
        function toggleSidebar() {
            var sidebar = document.getElementById('sidebar');
            sidebar.classList.toggle('collapsed');
            document.querySelector('.content').classList.toggle('collapsed');
        }

        // Function to toggle dark mode
        function toggleDarkMode() {
        document.body.classList.toggle("dark-mode");
        let icon = document.getElementById("darkModeIcon");
        let text = document.getElementById("darkModeText");

        if (document.body.classList.contains("dark-mode")) {
            icon.classList.replace("bi-moon", "bi-sun");
            text.innerText = "Light Mode";
        } else {
            icon.classList.replace("bi-sun", "bi-moon");
            text.innerText = "Dark Mode";
        }
    }
    function toggleMobileNav() {
    document.querySelector(".nav-hidden-items").classList.toggle("show");
}

    </script>

</body>

</html>