<?php
session_start();
include 'conn.php'; // Include your database connection file

$province = $_SESSION['pro'];
$password = $_SESSION['token'];

// Fetch registration data
$sql = "SELECT * FROM registration WHERE province=:province AND password=:password";
$stmt = $conn->prepare($sql);
$stmt->execute(['province' => $province, 'password' => $password]);
$registrationData = $stmt->fetch(PDO::FETCH_ASSOC);

if ($registrationData) {
    $dbname = $registrationData['name'];
    $dbamount = $registrationData['amount'];
    $dbp1 = $registrationData['p1'];
    $dbp2 = $registrationData['p2'];
    $dbp3 = $registrationData['p3'];

    // Check bank status
    $rrr = $_SESSION['token'];
    $sqlBank = "SELECT * FROM bank WHERE rrr=:rrr";
    $stmtBank = $conn->prepare($sqlBank);
    $stmtBank->execute(['rrr' => $rrr]);
    $bankData = $stmtBank->fetch(PDO::FETCH_ASSOC);

    if ($bankData) {
        $dbstatus = $bankData['status'];
        $textColor = ($dbstatus == 'Pending') ? 'text-danger' : 'text-dark';

        $response = "<div class='{$textColor}'>";
        $response .= "<p><strong>Amount Paid:</strong> <span class='{$textColor}'>&#8358;{$dbamount}</span></p>";
        $response .= "<p><strong>Depositor's Name:</strong> <span class='{$textColor}'>" . strtoupper($dbname) . "</span></p>";

        // Fetch children data
        $sqlChildren = "SELECT * FROM children WHERE province=:province AND password=:password";
        $stmtChildren = $conn->prepare($sqlChildren);
        $stmtChildren->execute(['province' => $province, 'password' => $password]);
        $childrenData = $stmtChildren->fetch(PDO::FETCH_ASSOC);
        if ($childrenData) {
            $dbchildren1 = $childrenData['children1'];
            $dbchildren2 = $childrenData['children2'];
            $dbchildren3 = $childrenData['children3'];
            $response .= "<p><strong>Total Number of Children:</strong> <span class='{$textColor}'>{$dbp1} child(ren)</span></p>";
            $response .= "<p><strong>No of Children (3-5):</strong> <span class='{$textColor}'>{$dbchildren1}</span></p>";
            $response .= "<p><strong>No of Children (6-8):</strong> <span class='{$textColor}'>{$dbchildren2}</span></p>";
            $response .= "<p><strong>No of Children (9-12):</strong> <span class='{$textColor}'>{$dbchildren3}</span></p>";
        }

        // Fetch teens data
        $sqlTeens = "SELECT * FROM teens WHERE province=:province AND password=:password";
        $stmtTeens = $conn->prepare($sqlTeens);
        $stmtTeens->execute(['province' => $province, 'password' => $password]);
        $teensData = $stmtTeens->fetch(PDO::FETCH_ASSOC);
        if ($teensData) {
            $dbteens1 = $teensData['teens1'];
            $dbteens2 = $teensData['teens2'];
            $response .= "<p><strong>Total Number of Teens:</strong> <span class='{$textColor}'>{$dbp2} Teen(s)</span></p>";
            $response .= "<p><strong>No of Teens (13-15):</strong> <span class='{$textColor}'>{$dbteens1}</span></p>";
            $response .= "<p><strong>No of Teens (16-above):</strong> <span class='{$textColor}'>{$dbteens2}</span></p>";
        }

        // Display teachers data
        $response .= "<p><strong>Total Number of Teachers:</strong> <span class='{$textColor}'>{$dbp3} Teacher(s)</span></p>";

       // Status handling
if ($dbstatus == 'Pending') {
    $response .= "<div class='alert alert-warning' role='alert' style='background: linear-gradient(135deg, #ffcc00, #ff9900); color: #000;'>";
    $response .= "<h4 class='alert-heading'><strong>IMPORTANT:</strong> YOUR REGISTRATION IS:</h4>";
    $response .= "<p class='lead'><strong>Status: </strong><span class='text-danger blinking' style='font-weight: bold;'>PENDING</span></p>";
    $response .= "<p>Please note that your registration is still being verified. For any inquiries, please contact the ICT DEPARTMENT.</p>";
    $response .= "<a href='#' class='btn pending-button status-button' onClick=\"return confirm('Sorry, Your Registration is still Pending...! Contact the ICT DEPARTMENT');\">Check Status</a>";
    $response .= "</div>";
} else {
    $response .= "<div class='alert alert-success' role='alert' style='background: linear-gradient(135deg, #28a745, #1e7e34); color: #fff;'>";
    $response .= "<h4 class='alert-heading'><strong>CONGRATULATIONS!</strong> YOUR REGISTRATION IS:</h4>";
    $response .= "<p class='lead' style='color: white;'><strong>Status: </strong><span class='text-success blinking' style='font-weight: bold; color:white;'>APPROVED</span></p>";
    $response .= "<p>Your registration has been successfully approved! You can now take the next steps:</p>";
    $response .= "<ul style='list-style-type: none; padding: 0;'>";
    $response .= "<li><strong>✔️</strong> Download your registration slip.</li>";
    $response .= "<li><strong>✔️</strong> Keep a copy for your records.</li>";
    $response .= "<li><strong>✔️</strong> Prepare for the next stage of the process.</li>";
    $response .= "</ul>";
    $response .= "<a href='approval_generator.php?status={$dbstatus}' target='_blank' class='btn approved-button status-button' onClick=\"return confirm('Congratulations, Your Registration is Approved and your Slip is Ready for Printing or Download ..Press OK to CONTINUE');\">Download APPROVED Slip</a>";
    $response .= "</div>";
}
$response .= "</div>"; // Close the text color div

// Add CSS for blinking effect
$response .= "<style>
.blinking {
    animation: blinkingText 1.5s infinite;
    font-weight: bold; /* Make text bold for better visibility */
}
@keyframes blinkingText {
    0%, 100% { color: white; } /* White color */
    50% { color: #28a745; } /* Green for contrast */
}
</style>";


        echo $response;
    } else {
        echo "<p>No Payment information found.</p>";
    }
} else {
    echo "<p>No registration found.</p>";
}
?>
