<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RCCG DTCE - Event Management</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css">
    <script src="https://kit.fontawesome.com/a076d05399.js"></script> <!-- Font Awesome for icons -->
    <style>
        body {
            font-family: 'Quicksand', sans-serif;
        }
        .hero {
            background: linear-gradient(to right, #ff416c, #ff4b2b);
            color: white;
            padding: 80px 20px;
            text-align: center;
        }
        .event-card:hover {
            transform: scale(1.05);
            transition: 0.3s ease-in-out;
        }
        .feature-card {
            background: linear-gradient(to right, #36d1dc, #5b86e5);
            color: white;
            padding: 20px;
            border-radius: 10px;
            text-align: center;
        }
        .countdown {
            font-size: 1.2em;
            color: #ff4b2b;
        }
    </style>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container">
            <a class="navbar-brand" href="#">RCCG DTCE - Event Management</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a class="nav-link" href="#">Home</a></li>
                    <li class="nav-item"><a class="nav-link" href="#">Events</a></li>
                    <li class="nav-item"><a class="nav-link" href="#">Contact</a></li>
                </ul>
            </div>
        </div>
    </nav>

    <div class="hero">
        <h1>Welcome to RCCG DTCE Event Management</h1>
        <p>Manage and participate in exciting events seamlessly.</p>
        <button class="btn btn-light btn-lg">Register for an Event</button>
    </div>

    <div class="container mt-5">
        <h2 class="text-center mb-4">Available Events</h2>
        <div class="row">
            <div class="col-md-4">
                <div class="card event-card shadow-lg">
                    <img src="dist/img/bg-login.jpg" class="card-img-top" alt="Event">
                    <div class="card-body text-center">
                        <h5 class="card-title">Youth Conference</h5>
                        <p class="card-text">An inspiring event to empower the next generation.</p>
                        <p><i class="fas fa-calendar-alt"></i> Start: <strong>March 10, 2025</strong> | End: <strong>March 12, 2025</strong></p>
                        <div id="countdown1" class="countdown"></div>
                        <button class="btn btn-danger">Register Now</button>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card event-card shadow-lg">
                    <img src="dist/img/bg-login.jpg" class="card-img-top" alt="Event">
                    <div class="card-body text-center">
                        <h5 class="card-title">Worship Night</h5>
                        <p class="card-text">An evening filled with worship and prayer.</p>
                        <p><i class="fas fa-calendar-alt"></i> Start: <strong>April 5, 2025</strong> | End: <strong>April 6, 2025</strong></p>
                        <div id="countdown2" class="countdown"></div>
                        <button class="btn btn-danger">Register Now</button>
                    </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="card event-card shadow-lg">
                    <img src="dist/img/bg-login.jpg" class="card-img-top" alt="Event">
                    <div class="card-body text-center">
                        <h5 class="card-title">Leadership Summit</h5>
                        <p class="card-text">Training and equipping future leaders.</p>
                        <p><i class="fas fa-calendar-alt"></i> Start: <strong>May 20, 2025</strong> | End: <strong>May 22, 2025</strong></p>
                        <div id="countdown3" class="countdown"></div>
                        <button class="btn btn-danger">Register Now</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-5">
        <h2 class="text-center mb-4">Our Features</h2>
        <div class="row text-center">
            <div class="col-md-4">
                <div class="feature-card shadow-lg">
                    <h4><i class="fas fa-user-check"></i> Easy Registration</h4>
                    <p>Sign up for events with just a few clicks.</p>
                </div>
            </div>
            <div class="col-md-4">
                <div class="feature-card shadow-lg">
                    <h4><i class="fas fa-calendar-day"></i> Event Tracking</h4>
                    <p>Keep track of upcoming and past events easily.</p>
                </div>
            </div>
            <div class="col-md-4">
                <div class="feature-card shadow-lg">
                    <h4><i class="fas fa-lock"></i> Secure Payments</h4>
                    <p>Make payments securely for event registrations.</p>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-5">
        <h2 class="text-center">Frequently Asked Questions</h2>
        <div class="accordion" id="faqAccordion">
            <div class="accordion-item">
                <h2 class="accordion-header" id="headingOne">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne">
                        How do I register for an event?
                    </button>
                </h2>
                <div id="collapseOne" class="accordion-collapse collapse show" data-bs-parent="#faqAccordion">
                    <div class="accordion-body">
                        Click on the "Register for an Event" button and follow the instructions.
                    </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header" id="headingTwo">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo">
                        Are my payments secure?
                    </button>
                </h2>
                <div id="collapseTwo" class="accordion-collapse collapse" data-bs-parent="#faqAccordion">
                    <div class="accordion-body">
                        Yes, we use industry-standard encryption to ensure secure transactions.
                    </div>
                </div>
            </div>
        </div>
    </div>

    <footer class="bg-dark text-white text-center py-4 mt-5">
        <p>RCCG DTCE - Event Management &copy; 2024</p>
        <p>Contact: +234 7056483766 | Email: support@rccgdtce.com</p>
        <!-- <div>
            <h5>Subscribe to our Newsletter</h5>
            <form>
                <input type="email" class="form-control" placeholder="Enter your email" required>
                <button type="submit" class="btn btn-light mt-2">Subscribe</button>
            </form>
        </div> -->
    </footer>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        // Countdown timer for each event
        function setCountdown(id, date) {
            var countDownDate = new Date(date).getTime();
            var x = setInterval(function() {
                var now = new Date().getTime();
                var distance = countDownDate - now;
                var days = Math.floor(distance / (1000 * 60 * 60 * 24));
                var hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
                var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
                var seconds = Math.floor((distance % (1000 * 60)) / 1000);
                document.getElementById(id).innerHTML = days + "d " + hours + "h " + minutes + "m " + seconds + "s ";
                if (distance < 0) {
                    clearInterval(x);
                    document.getElementById(id).innerHTML = "Event Started";
                }
            }, 1000);
        }

        // Set countdown for each event
        setCountdown("countdown1", "March 10, 2025 00:00:00");
        setCountdown("countdown2", "April 5, 2025 00:00:00");
        setCountdown("countdown3", "May 20, 2025 00:00:00");
    </script>
</body>
</html>
