<?php
session_start();
require 'conn.php';

header('Content-Type: application/json'); // Ensure JSON response

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    if (isset($_POST['phone'])) {
        $phone = trim($_POST['phone']);

        $stmt = $conn->prepare("SELECT name, zone, email FROM zone WHERE phone = ?");
        $stmt->execute([$phone]);
        $coordinator = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($coordinator) {
            echo json_encode([
                'status' => 'success',
                'name' => $coordinator['name'],
                'zone' => $coordinator['zone'],
                'email' => $coordinator['email']
            ]);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Phone number not found!']);
        }
        exit;
    }

    if (isset($_POST['password'], $_POST['hidden_phone'])) {
        $phone = trim($_POST['hidden_phone']);
        $password = trim($_POST['password']);

        // Fetch user data including password
        $stmt = $conn->prepare("SELECT * FROM zone WHERE phone = ?");
        $stmt->execute([$phone]);
        $coordinator = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($coordinator && $password === $coordinator['password']) {
            $_SESSION['name'] = $coordinator['name'];
            $_SESSION['zone'] = $coordinator['zone'];
            $_SESSION['email'] = $coordinator['email'];
            echo json_encode(['status' => 'success', 'redirect' => 'main.php']);
        } else {
            echo json_encode(['status' => 'error', 'message' => 'Incorrect password!']);
        }


        // Debugging output: print what the server is returning
        $debug_data = [
            "entered_password" => $password,
            "stored_password" => $coordinator['password'],
            "status" => "debug"
        ];
        echo json_encode($debug_data);
        exit;
    }
}
