<?php
require_once("conn.php");

if (isset($_POST['region'])) {
    $region = $_POST['region'];

    // Fetch provinces under the selected region
    $stmt = $conn->prepare("SELECT DISTINCT province FROM province WHERE region = :region ORDER BY province ASC");
    $stmt->bindParam(":region", $region);
    $stmt->execute();
    $provinces = $stmt->fetchAll(PDO::FETCH_COLUMN);

    // Custom sorting for provinces based on the last number
    usort($provinces, function ($a, $b) {
        preg_match('/\d+$/', $a, $numA);
        preg_match('/\d+$/', $b, $numB);

        $numA = isset($numA[0]) ? (int)$numA[0] : 0;
        $numB = isset($numB[0]) ? (int)$numB[0] : 0;

        return $numA - $numB;
    });

    echo '<option value="" disabled selected>Select Director Province</option>';
    foreach ($provinces as $p) {
        echo "<option value='$p'>$p</option>";
    }
}
?>
