<?php
session_start();
require 'conn.php'; // Ensure this file connects to the database

if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['close_ticket'])) {
    $ticket_id = $_POST['ticket_id'] ?? '';

    if (empty($ticket_id)) {
        echo json_encode(['status' => 'error', 'message' => 'Invalid ticket ID.']);
        exit;
    }

    // Update the ticket status to 'closed'
    $stmt = $conn->prepare("UPDATE tickets SET status = 'closed' WHERE id = :ticket_id");
    $stmt->execute(['ticket_id' => $ticket_id]);

    if ($stmt->rowCount() > 0) {
        echo json_encode(['status' => 'success', 'message' => 'Ticket closed successfully.']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Failed to close the ticket.']);
    }
}
?>
