<?php
session_start();
require_once('conn.php');

if (isset($_GET['status'])) {
    if ($_GET['status'] === 'cancelled') {
        header('Location: paymentfailed.php');
        exit();
    } elseif ($_GET['status'] === 'successful') {
        $txid = $_GET['transaction_id'];
        $ref = $_GET['tx_ref'];

        $curl = curl_init();
        curl_setopt_array($curl, [
            CURLOPT_URL => "https://api.flutterwave.com/v3/transactions/{$txid}/verify",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_HTTPHEADER => [
                'Content-Type: application/json',
                'Authorization: Bearer FLWSECK-462d8cc0a5ee8dc77bc84fd6d395309b-19212a33682vt-X', // Replace with your actual secret key
            ],
        ]);

        $response = curl_exec($curl);
        curl_close($curl);

        $res = json_decode($response, true);

        if ($res['status'] === 'success') {
            $data = $res['data']['meta'];
            $email = $data['email'];
            $province = $data['province'];
            $region = $data['region'];
            $name = strtoupper($data['name']);
            $phone = $data['phone_number'];
            $amount = $res['data']['amount'];

            // Retrieve session details
            $details = $_SESSION['registration_details'];
            $p1 = $details['p1'];
            $p2 = $details['p2'];
            $p3 = $details['p3'];
            $mode = "Online Payment";
            $bank = "Flutterwave";
            $status = "Approved";
            $approved_by = "DTCE IT ADMIN";

            // Handle empty quantities
            if (empty($p1)) $p1 = '0';
            if (empty($p2)) $p2 = '0';
            if (empty($p3)) $p3 = '0';

            // Insert into registration table
            // $sqlRegistration = "INSERT INTO registration (name,email,phone_number,p1,p2,p3,region,province,password,amount,date,year) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)";
            // $stmt = $conn->prepare($sqlRegistration);
            // $stmt->execute([$name, $email, $phone, $p1, $p2, $p3, $region, $province, $ref, $amount, date('Y-m-d H:i:s'), date('Y')]);

            // Insert into bank table
            $sqlBank = "INSERT INTO bank(name,email,phone_number,bank,date_of_payment,region,province,mode,cash,money,rrr,ref,status,approved_by,date,year) VALUES (?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
            $stmt = $conn->prepare($sqlBank);
            $stmt->execute([$name, $email, $phone, $bank, date('Y-m-d H:i:s'), $region, $province, $mode, $amount, $amount, $txid, $ref, $status, $approved_by, date('Y-m-d H:i:s'), date('Y')]);

            // Clear session data
            unset($_SESSION['registration_details']);
            unset($_SESSION['transaction_ref']);

            // Redirect to confirmation page
            header('Location: paymentsuccessful.php');
            exit();
        } else {
            header('Location: paymentfailed.php');
            exit();
        }
    } else {
        echo 'Invalid status';
    }
} else {
    header('Location: paymentfailed.php');
}
?>
