<?php
session_start(); // Start the session

// Include your database connection file
require_once('conn.php');

// Check if the user is logged in and has the required session variables
if (!isset($_SESSION['name']) || !isset($_SESSION['zone']) || !isset($_SESSION['email'])) {
    // Redirect to the login page if not logged in
    header("Location: index.php"); // Change to your login page URL
    exit();
}

// Get logged-in coordinator details
$coordinator_name = $_SESSION['name'];
$coordinator_zone = $_SESSION['zone'];
$coordinator_email = $_SESSION['email'];


$freshLogin = isset($_SESSION['freshLogin']) && $_SESSION['freshLogin'];
$zone = $_SESSION['zone']; // Get the zone from the session
$currentYear = date('Y'); // Get the current year





?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RCCG DTCE | Co-ordinator's Dashboard</title>

    <!-- RCCG Branding Colors -->

    <!-- CSS & JS Dependencies -->
    <!-- Dependencies -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="plugins/password-requirement/css/jquery.passwordRequirements.css">
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="cookies/cookieconsent.css">
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <link rel="stylesheet" href="dist/css/custom.css">
    <link rel="stylesheet" href="newstyle.css">
    <link rel="stylesheet" href="dist/css/login_style.css">
    <link rel="stylesheet" href="assets/css/mystyle.css">
    <link rel="stylesheet" href="dist/css/animate.min.css">
    <link href="plugins/intl-tel-input-17.0.0/build/css/intlTelInput.min.css" rel="stylesheet" type="text/css" />
    <link rel="shortcut icon" href="dist/img/icon2.png" type="image/x-icon">


    <!-- Include ApexCharts CSS -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.css">
    <link rel="shortcut icon" href="dist/img/icon2.png" type="image/x-icon">


    <!-- AdminLTE -->
    <script src="https://cdn.jsdelivr.net/npm/admin-lte@3.2/dist/js/adminlte.min.js"></script>

</head>

<body class="hold-transition sidebar-mini layout-fixed">


    <!-- /.navbar -->
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand-lg navbar-light">
            <div class="container-fluid">
                <!-- Navbar Toggler for Mobile -->
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <!-- Left Navbar Links -->
                <a href="#" class="navbar-brand">
                    <img src="./dist/img/dtce.png" alt="Logo" style="height: 40px;">
                </a>

                <?php
                include 'conn.php';
                $zone = $_SESSION['zone']; // Get the province name from the session

                // Fetch the count of unread notifications for this province
                $stmt = $conn->prepare("SELECT COUNT(*) as count FROM zonenotifications WHERE zone = :zone AND is_read = 0");
                $stmt->bindValue(':zone', $zone);
                $stmt->execute();
                $count = $stmt->fetch(PDO::FETCH_ASSOC)['count'];
                ?>

                <div class="collapse navbar-collapse" id="navbarNav">
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" data-widget="pushmenu" href="#" role="button">
                                <i class="fas fa-bars"></i>
                            </a>
                        </li>
                    </ul>

                    <!-- Centered Search Form -->
                    <form class="form-inline mx-auto">
                        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
                        <button class="btn btn-outline-primary my-2 my-sm-0" type="submit">
                            <i class="fas fa-search"></i>
                        </button>
                    </form>

                    <!-- Right Navbar Links -->
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item">
                            <a class="nav-link" href="#">
                                <img src="./dist/img/ng3.webp" alt="Flag" style="width: 35px;">
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="notificationDropdown" role="button"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                <i class="fas fa-bell">
                                    <span class="badge badge-danger"><?php echo $count; ?></span>
                                </i>
                            </a>
                            <div class="dropdown-menu dropdown-menu-right" aria-labelledby="notificationDropdown"
                                id="notificationList">

                            </div>
                        </li>

                        <li class="nav-item">
                            <a class="nav-link" href="#" id="theme-toggle">
                                <i id="theme-icon" class="fas fa-sun"></i> <!-- Default icon is sun -->
                            </a>
                        </li>

                        <li class="nav-item dropdown">
                            <a class="nav-link d-flex align-items-center dropdown-toggle" data-toggle="dropdown" href="#">
                                <?php
                                // Get the session zone
                                $zone = $_SESSION["zone"];

                                // Ensure it follows the correct format: "Zone X – Region Name"
                                $zone_parts = explode(" ", $zone);

                                // Ensure there are enough parts
                                if (count($zone_parts) >= 4) {
                                    $zone_number = $zone_parts[1]; // Extracts "1" from "Zone 1"

                                    // Handle cases with multiple dashes (e.g., "Zone 3 – South – South Regions")
                                    $region_name = "";
                                    for ($i = 3; $i < count($zone_parts); $i++) {
                                        if ($zone_parts[$i] !== "–") {
                                            $region_name .= substr($zone_parts[$i], 0, 1); // Take first letter of each word
                                        }
                                    }

                                    // Format the result as "ZN X-XX"
                                    $formatted_zone = "ZN $zone_number-$region_name";
                                } else {
                                    $formatted_zone = "ZN -"; // Fallback for incorrect formats
                                }

                                // Display the formatted zone name with profile image
                                echo '<div class="province-initials d-flex align-items-center" 
                                style="background-color:rgb(189, 8, 8); color: white; padding: 8px 12px; border-radius: 50px; display: flex; align-items: center; font-weight: bold; font-size: 16px; min-width: 100px;">
                                    <img src="dist/img/icon.png" alt="Profile" style="width: 35px; height: 35px; border-radius: 50%; margin-right: 8px;">
                                    ' . $formatted_zone . '
                                </div>';
                                ?>


                                <div style="display: flex; flex-direction: column; color: white;">
                                    <span class="d-none d-md-inline"><?php echo strtoupper($_SESSION["name"]) ?></span>
                                    <small style="color: white;"><?php echo $_SESSION["zone"] ?></small>
                                </div>

                            </a>
                            <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                                <a href="#" class="dropdown-item"><i class="fas fa-user"></i> My Profile</a>
                                <a href="#" class="dropdown-item"><i class="fas fa-cog"></i> Settings</a>
                                <div class="dropdown-divider"></div>
                                <a href="logout.php" class="dropdown-item"><i class="fas fa-sign-out-alt"></i> Logout</a>
                            </div>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </div>

    <!-- Scripts -->


    <!-- /.navbar -->

    <?php
    include 'conn.php'; // Ensure this file correctly sets up $conn

    // Fetch menu items, ordered by the 'order' field
    try {
        $stmt = $conn->query("SELECT * FROM navbars WHERE status = 'active' ORDER BY `order` ASC");
        $menuItems = $stmt->fetchAll(PDO::FETCH_ASSOC);

        if (!$menuItems) {
            $menuItems = []; // Set to an empty array to prevent null issues
        }
    } catch (PDOException $e) {
        die("Database Error: " . $e->getMessage()); // Display error for debugging
    }

    ?>
    <!-- Main Sidebar Container -->
    <aside class="main-sidebar sidebar-dark-primary elevation-4">

        <!-- Sidebar -->
        <div class="sidebar">
            <div class="user-panel mt-3 pb-3 mb-3 d-flex align-items-center">
                <div class="image">
                    <img src="./dist/img/icon.png" alt="User Image">
                </div>
                <div class="info">
                    <a href="#" class="company-name" style="color:aliceblue">RCCG DTCE</a>
                </div>
            </div>

            <!-- Sidebar Menu -->
            <nav class="mt-2">
                <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                <li class="nav-item">
                        <a href="main.php" class="nav-link">
                            <i class="nav-icon fas fa-chart-pie" style="color: white;"></i>
                            <p style="color: white;">Dashboard</p>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="zonepayments.php" class="nav-link">
                            <i class="nav-icon fas fa-money-bill-wave" style="color: white !important;"></i>
                            <p style="color: white;">Payments</p>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="quiz.php" class="nav-link">
                            <i class="nav-icon fas fa-file-alt" style="color: white;"></i>
                            <p style="color: white;">Quiz Report</p>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="sport.php" class="nav-link">
                            <i class="nav-icon fas fa-running" style="color: white;"></i>
                            <p style="color: white;">Sport Report</p>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="choir.php" class="nav-link">
                            <i class="nav-icon fas fa-microphone" style="color: white;"></i>
                            <p style="color: white;">Choir Report</p>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="zoneregions.php" class="nav-link">
                            <i class="nav-icon fas fa-globe" style="color: white;"></i>
                            <p style="color: white;">Regions Details</p>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="zoneprovinces.php" class="nav-link">
                            <i class="nav-icon fas fa-map-marker-alt" style="color: white;"></i>
                            <p style="color: white;">Provinces Details</p>
                        </a>
                    </li>

                    <li class="nav-item">
                        <a href="settings.php" class="nav-link">
                            <i class="nav-icon fas fa-cog" style="color: white !important;"></i>

                            <p style="color: white;">Settings</p>
                        </a>
                    </li>
                    <div class="nav-item has-treeview">
                        <a href="#" class="nav-link" data-toggle="collapse" data-target="#provincialMenu">
                            <i class="nav-icon fas fa-users-cog"></i>
                            <p class="menu-text">Provincial Coord Menus <i class="right fas fa-angle-left"></i></p>
                        </a>

                        <ul id="provincialMenu" class="nav nav-treeview collapse">
                            <?php foreach ($menuItems as $item): ?>
                                <li class="nav-item">
                                    <a href="#" class="nav-link" style="pointer-events: none; opacity: 0.5; cursor: default;">
                                        <i class="nav-icon fas <?php echo htmlspecialchars($item['icon']); ?>"></i>
                                        <p><?php echo htmlspecialchars($item['name']); ?></p>
                                    </a>
                                </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>

                    <script>
                        document.addEventListener("DOMContentLoaded", function() {
                            const sidebar = document.querySelector(".main-sidebar");
                            const menuText = document.querySelectorAll(".menu-text");

                            function toggleMenuText() {
                                if (sidebar.classList.contains("sidebar-collapse")) {
                                    menuText.forEach(text => text.style.display = "none");
                                } else {
                                    menuText.forEach(text => text.style.display = "inline");
                                }
                            }

                            toggleMenuText();
                            document.body.addEventListener("classChange", toggleMenuText);
                        });
                    </script>

        </div>
        </div>
        </div>

        <script>
            function showMessage() {
                alert("This menu is for Provincial Coordinators only.");
            }
        </script>





        </ul>


    </aside>



    <!-- Content Wrapper -->

    <div class="content-wrapper">
        <div class="breadcrumb-wrapper">
            <ul class="breadcrumb">
                <li class="breadcrumb-item"><a href="./main.php">HOME</a></li>
                <li class="breadcrumb-item active">Regions Details</li>
            </ul>
        </div>
        <?php include("news.php"); ?>
        <?php
        include 'conn.php';

        // Fetch the cover picture
        $stmt = $conn->query("SELECT * FROM cover_pic ORDER BY id DESC LIMIT 1");
        $coverPic = $stmt->fetch(PDO::FETCH_ASSOC);

        $imagePath = $coverPic ? $coverPic['image_path'] : './dist/img/bg-login.jpg'; // Default image if none found
        ?>

        <div class="row">
            <div class="col-sm-12">
                <div class="profile-bg-picture"
                    style="background-image: url('<?php echo htmlspecialchars($imagePath); ?>');">
                    <div class="picture-bg-overlay"></div>
                </div>
            </div>
        </div>
       

        <?php

require 'conn.php'; // Database connection

$zone = $_SESSION['zone'] ?? ''; // Get the session's zone
if (empty($zone)) {
    die("Zone is not set in session.");
}

// Get filter values
$search_region = $_GET['region'] ?? '';
$search_province = $_GET['province'] ?? '';

// Pagination settings
$limit = 10; // Number of records per page
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
$start = ($page - 1) * $limit;

// Prepare the SQL query with filters
$query = "SELECT id, zone, region, province, password, password_changed, status FROM province WHERE zone = ?";
$params = [$zone];

if (!empty($search_region)) {
    $query .= " AND region LIKE ?";
    $params[] = "%$search_region%";
}
if (!empty($search_province)) {
    $query .= " AND province LIKE ?";
    $params[] = "%$search_province%";
}

$query .= " LIMIT $start, $limit"; // Add pagination

$stmt = $conn->prepare($query);
$stmt->execute($params);
$provinces = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Get total records count for pagination
$countQuery = "SELECT COUNT(*) FROM province WHERE zone = ?";
$countParams = [$zone];

if (!empty($search_region)) {
    $countQuery .= " AND region LIKE ?";
    $countParams[] = "%$search_region%";
}
if (!empty($search_province)) {
    $countQuery .= " AND province LIKE ?";
    $countParams[] = "%$search_province%";
}

$countStmt = $conn->prepare($countQuery);
$countStmt->execute($countParams);
$totalRecords = $countStmt->fetchColumn();
$totalPages = ceil($totalRecords / $limit);
?>

<div class="container mt-4">
    <h2 class="text-center">Province Records for Zone: <?= htmlspecialchars($zone) ?></h2>

    <!-- Filter Form -->
    <form method="GET" class="mb-3">
        <input type="hidden" name="page" value="1">
        <div class="row">
            <div class="col-md-4">
                <input type="text" name="region" class="form-control" placeholder="Search by Region" value="<?= htmlspecialchars($search_region) ?>">
            </div>
            <div class="col-md-4">
                <input type="text" name="province" class="form-control" placeholder="Search by Province" value="<?= htmlspecialchars($search_province) ?>">
            </div>
            <div class="col-md-4">
                <button type="submit" class="btn btn-primary">Search</button>
                <a href="zoneprovinces.php" class="btn btn-secondary">Reset</a>
            </div>
        </div>
    </form>

    <!-- Button to Generate New Passwords for All Provinces -->
    <button id="generateAllPasswords" class="btn btn-warning mb-3">Create New Password for All Provinces</button>

    <table class="table table-bordered">
        <thead>
            <tr>
                <th>S/N</th>
                <th>Zone</th>
                <th>Region</th>
                <th>Province</th>
                <th>Password</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <?php if ($provinces): ?>
                <?php $sn = $start + 1; ?>
                <?php foreach ($provinces as $province): ?>
                    <tr>
                        <td><?= $sn++ ?></td>
                        <td><?= htmlspecialchars($province['zone']) ?></td>
                        <td><?= htmlspecialchars($province['region']) ?></td>
                        <td><?= htmlspecialchars($province['province']) ?></td>
                        <td>
                            <input type="password" id="password_<?= $province['id'] ?>" value="<?= htmlspecialchars($province['password']) ?>" class="form-control" readonly>
                        </td>
                        <td style="white-space: nowrap; width: 300px;">
                            <div class="d-flex justify-content-between gap-2 flex-wrap">
                                <button class="btn btn-primary btn-sm show-password" data-id="<?= $province['id'] ?>">Show Password</button>
                                <button class="btn btn-success btn-sm change-password" data-id="<?= $province['id'] ?>">Change Password</button>
                                <button class="btn btn-info btn-sm regenerate-password d-none" data-id="<?= $province['id'] ?>">Regenerate Password</button>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; ?>
            <?php else: ?>
                <tr><td colspan="6" class="text-center">No records found.</td></tr>
            <?php endif; ?>
        </tbody>
    </table>
</div>
            </div>

<!-- Pagination -->
<nav>
    <ul class="pagination justify-content-center">
        <?php if ($page > 1): ?>
            <li class="page-item"><a class="page-link" href="?page=<?= $page - 1 ?>&region=<?= htmlspecialchars($search_region) ?>&province=<?= htmlspecialchars($search_province) ?>">Previous</a></li>
        <?php endif; ?>

        <?php for ($i = 1; $i <= $totalPages; $i++): ?>
            <li class="page-item <?= ($page == $i) ? 'active' : '' ?>">
                <a class="page-link" href="?page=<?= $i ?>&region=<?= htmlspecialchars($search_region) ?>&province=<?= htmlspecialchars($search_province) ?>"><?= $i ?></a>
            </li>
        <?php endfor; ?>

        <?php if ($page < $totalPages): ?>
            <li class="page-item"><a class="page-link" href="?page=<?= $page + 1 ?>&region=<?= htmlspecialchars($search_region) ?>&province=<?= htmlspecialchars($search_province) ?>">Next</a></li>
        <?php endif; ?>
    </ul>
</nav>

<script>
    $(document).ready(function () {
        // Show Password Toggle
        $(".show-password").click(function () {
            let id = $(this).data("id");
            let inputField = $("#password_" + id);
            if (inputField.attr("type") === "password") {
                inputField.attr("type", "text");
                $(this).text("Hide Password");
            } else {
                inputField.attr("type", "password");
                $(this).text("Show Password");
            }
        });

        // Change Password
        $(".change-password").click(function () {
            let id = $(this).data("id");
            $.post("change_password.php", { id: id }, function (response) {
                if (response.status === "success") {
                    $("#password_" + id).val(response.new_password);
                    $(".regenerate-password[data-id='" + id + "']").removeClass("d-none");
                    alert("New password generated successfully!");
                } else {
                    alert("Error changing password: " + response.message);
                }
            }, "json");
        });

        // Regenerate Password
        $(".regenerate-password").click(function () {
            let id = $(this).data("id");
            $.post("change_province_password.php", { id: id, regenerate: true }, function (response) {
                if (response.status === "success") {
                    $("#password_" + id).val(response.new_password);
                    alert("Password regenerated successfully!");
                } else {
                    alert("Error regenerating password: " + response.message);
                }
            }, "json");
        });

        // Generate New Passwords for All Provinces
        $("#generateAllPasswords").click(function () {
            if (confirm("Are you sure you want to regenerate passwords for all provinces?")) {
                $.post("change_province_password.php", { all: true }, function (response) {
                    if (response.status === "success") {
                        alert("Passwords regenerated for all provinces!");
                        location.reload(); // Refresh page to show new passwords
                    } else {
                        alert("Error regenerating passwords: " + response.message);
                    }
                }, "json");
            }
        });
    });
</script>


    <!-- Footer -->
    <?php
    include 'conn.php'; // Ensure this file contains your database connection

    // Fetch footer content from the footer table
    $stmt = $conn->query("SELECT * FROM footer ORDER BY id DESC LIMIT 1");
    $footer = $stmt->fetch(PDO::FETCH_ASSOC);
    $copyrightMessage = $footer['copyright_message'] ?? '&copy; ' . date('Y') . ' Directorate of Teens and Children Education.';
    $eventInfo = $footer['event_info'] ?? 'CO-ORDINATOR\'S EVENT REGISTRATION PORTAL v.1.0.0';
    ?>
    <footer class="main-footer text-sm">
        <div class="text-xs" id="copyright">
            <?php echo $copyrightMessage; ?>
            <div class="float-right d-none d-sm-inline-block">
                <b><?php echo $eventInfo; ?></b>
            </div>
        </div>
    </footer>
    </div>
    <?php
    include 'conn.php'; // Make sure this file contains your database connection

    // Fetch the modal content from the database
    $stmt = $conn->query("SELECT message FROM modal_content ORDER BY id DESC LIMIT 1");
    $modalContent = $stmt->fetch(PDO::FETCH_ASSOC);
    $message = $modalContent['message'];
    ?>

    <!-- Modal HTML -->
    <div id="announcementModal" class="modal">
        <div class="modal-content">
            <span class="close-btn" onclick="closeModal()">&times;</span>
            <h2> <i class="bi bi-hand-wave"></i> Welcome to the New Convention Portal! </h2>

            <p>
                <?php echo $message; ?>
            </p>
        </div>
    </div>

    <!-- Button to Trigger Toast (For Testing) -->


    <!-- Toast Container -->
    <div class="toast-container" style="position: absolute; top: 20px; right: 20px;">
        <!-- Toast HTML -->
        <div class="toast" id="myToast" role="alert" aria-live="assertive" aria-atomic="true" data-delay="3000">
            <div class="toast-header">
                <strong class="mr-auto">Welcome Message</strong>
                <small class="text-muted">just now</small>
                <button type="button" class="ml-2 mb-1 close" data-dismiss="toast" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="toast-body" id="toastBody">
                <p>Welcome back, <?php echo htmlspecialchars($_SESSION['zone'], ENT_QUOTES, 'UTF-8'); ?>! We are glad to
                    have you here.</p>
            </div>
        </div>
    </div>

    </div>
    <!-- Scripts -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="plugins/intl-tel-input-17.0.0/build/js/intlTelInput.min.js"></script>
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <script src="plugins/password-requirement/js/jquery.passwordRequirements.min.js"></script>
    <script src="dist/js/adminlte.min.js"></script>
    <script defer src="scripts/cookies/cookieconsent.js"></script>
    <script defer src="scripts/cookies/cookieconsent-init.js"></script>
    <script src="plugins/jquery-validation/jquery.validate.min.js"></script>
    <script src="plugins/jquery-validation/additional-methods.min.js"></script>
    <!-- Include jQuery and Bootstrap JS -->

    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <script src="https://cdn.jsdelivr.net/npm/apexcharts@3.27.3/dist/apexcharts.min.js"></script>




    <script>
        document.addEventListener("DOMContentLoaded", function() {
            document.querySelectorAll(".toggleDetails").forEach(button => {
                button.addEventListener("click", function() {
                    let index = this.getAttribute("data-index");
                    let detailsSection = document.getElementById("regionDetails" + index);

                    if (detailsSection.style.display === "none") {
                        detailsSection.style.display = "block";
                        this.innerHTML = '<i class="fas fa-eye-slash"></i> Hide Details';
                    } else {
                        detailsSection.style.display = "none";
                        this.innerHTML = '<i class="fas fa-eye"></i> View Details';
                    }
                });
            });
        });
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            let viewMoreBtn = document.getElementById("viewMoreBtn");
            let modalBody = document.getElementById("modalBody");

            if (viewMoreBtn) {
                viewMoreBtn.addEventListener("click", function() {
                    // Clone all hidden regions and add them to the modal
                    let hiddenRegions = document.querySelectorAll(".region-card.d-none");
                    modalBody.innerHTML = ""; // Clear previous content

                    hiddenRegions.forEach(region => {
                        let clone = region.cloneNode(true);
                        clone.classList.remove("d-none");
                        modalBody.appendChild(clone);
                    });

                    // Open the modal
                    let myModal = new bootstrap.Modal(document.getElementById("regionsModal"));
                    myModal.show();
                });
            }
        });
    </script>


    <script>
        // Function to show the toast
        function showToast() {
            const toast = document.getElementById('myToast');
            $(toast).toast('show'); // Manually trigger the toast
        }

        // Auto-trigger the toast on page load
        window.onload = function() {
            showToast();
        };
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Check if the modal has been closed previously
            if (!localStorage.getItem("modalClosed")) {
                // Show the modal if not closed
                document.getElementById("announcementModal").style.display = "block";
            }
        });

        function closeModal() {
            // Hide the modal
            document.getElementById("announcementModal").style.display = "none";
            // Set a flag in localStorage to indicate that the modal has been closed
            localStorage.setItem("modalClosed", "true");
        }
    </script>
    <!-- Scripts -->





    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Fetch data from PHP (Ensure correct integer conversion)
            var children1 = <?php echo json_encode((int)$children_data['total_children1']); ?>;
            var children2 = <?php echo json_encode((int)$children_data['total_children2']); ?>;
            var children3 = <?php echo json_encode((int)$children_data['total_children3']); ?>;
            var teens1 = <?php echo json_encode((int)$teens_data['total_teens1']); ?>;
            var teens2 = <?php echo json_encode((int)$teens_data['total_teens2']); ?>;
            var teachers = <?php echo json_encode((int)$teachers_data['total_teachers']); ?>;
            var pending = <?php echo json_encode((int)$pending_data['total_pending']); ?>;
            var approved = <?php echo json_encode((int)$approved_data['total_approved']); ?>;

            // Debugging: Log values in console
            console.log("Chart Data:", {
                children1,
                children2,
                children3,
                teens1,
                teens2,
                teachers,
                pending,
                approved
            });

            // If all values are 0, show a message instead of an empty chart
            if ([children1, children2, children3, teens1, teens2, teachers, pending, approved].every(val => val === 0)) {
                document.getElementById("chart").innerHTML = "<p style='text-align: center; color: red;'>No registration data available.</p>";
                document.getElementById("chart-data").innerHTML = ""; // Clear data display
                return;
            }

            // Create ApexCharts Bar Chart
            var options = {
                chart: {
                    type: 'bar',
                    height: 400
                },
                series: [{
                        name: 'Children (1-5)',
                        data: [children1]
                    },
                    {
                        name: 'Children (6-8)',
                        data: [children2]
                    },
                    {
                        name: 'Children (9-12)',
                        data: [children3]
                    },
                    {
                        name: 'Teens (13-15)',
                        data: [teens1]
                    },
                    {
                        name: 'Teens (16-above)',
                        data: [teens2]
                    },
                    {
                        name: 'Teachers',
                        data: [teachers]
                    },
                    {
                        name: 'Pending Registrations',
                        data: [pending]
                    },
                    {
                        name: 'Approved Registrations',
                        data: [approved]
                    }
                ],
                xaxis: {
                    categories: [
                        'Children (1-5)', 'Children (6-8)', 'Children (9-12)',
                        'Teens (13-15)', 'Teens (16-above)', 'Teachers',
                        'Pending Reg.', 'Approved Reg.'
                    ]
                },
                colors: ['#3bc0c3', '#1a2942', '#d1d7d9', '#ff4560', '#00e396', '#00e396', '#FFC107', '#28A745']
            };

            var chart = new ApexCharts(document.querySelector("#chart"), options);
            chart.render();

            // Display Data Below the Chart
            var chartDataHtml = `
        <div class="row text-center mt-3">
            <div class="col-md-3"><strong>Children (1-5):</strong> ${children1}</div>
            <div class="col-md-3"><strong>Children (6-8):</strong> ${children2}</div>
            <div class="col-md-3"><strong>Children (9-12):</strong> ${children3}</div>
            <div class="col-md-3"><strong>Teens (13-15):</strong> ${teens1}</div>
            <div class="col-md-3"><strong>Teens (16-above):</strong> ${teens2}</div>
            <div class="col-md-3"><strong>Teachers:</strong> ${teachers}</div>
            <div class="col-md-3"><strong>Pending Registrations:</strong> ${pending}</div>
            <div class="col-md-3"><strong>Approved Registrations:</strong> ${approved}</div>
        </div>
    `;
            document.getElementById("chart-data").innerHTML = chartDataHtml;
        });
    </script>
    <script>
        // Line Chart for Monthly Junior Church Attendance Report
        // Pass PHP data to JavaScript
        var approvedCount = <?php echo json_encode($approvedCount); ?>;
        var pendingCount = <?php echo json_encode($pendingCount); ?>;
        var totalCash = <?php echo json_encode($totalCash); ?>;

        // Update Line Chart for Registrations
        var options2 = {
            chart: {
                type: 'line',
                height: 350
            },
            series: [{
                name: 'Registrations',
                data: [approvedCount, pendingCount, totalCash] // Data for Approved, Pending, and Total Cash
            }],
            xaxis: {
                categories: ['Approved', 'Pending', 'Total Cash']
            },
            colors: ['#3bc0c3']
        };

        var chart2 = new ApexCharts(document.querySelector("#yearly-sales-chart"), options2);
        chart2.render();
    </script>


    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const toggle = document.getElementById('theme-toggle');
            const icon = document.getElementById('theme-icon');

            function applyDarkMode() {
                document.body.classList.add('dark-mode');
                document.body.classList.remove('light-mode');
                if (icon) {
                    icon.classList.remove('fa-sun');
                    icon.classList.add('fa-moon');
                }
                localStorage.setItem('theme', 'dark');
            }

            function applyLightMode() {
                document.body.classList.add('light-mode');
                document.body.classList.remove('dark-mode');
                if (icon) {
                    icon.classList.remove('fa-moon');
                    icon.classList.add('fa-sun');
                }
                localStorage.setItem('theme', 'light');
            }

            // Check and apply the saved theme
            if (localStorage.getItem('theme') === 'dark') {
                applyDarkMode();
            } else {
                applyLightMode();
            }

            // Toggle event listener
            if (toggle) {
                toggle.addEventListener('click', function() {
                    if (document.body.classList.contains('dark-mode')) {
                        applyLightMode();
                    } else {
                        applyDarkMode();
                    }
                });
            }
        });
    </script>
    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Function to update countdowns
            function updateCountdowns() {
                const countdowns = document.querySelectorAll('.countdown');

                countdowns.forEach(function(countdown) {
                    const eventDate = new Date(countdown.getAttribute('data-event-date')).getTime();
                    const now = new Date().getTime();
                    const distance = eventDate - now;

                    if (distance > 0) {
                        const days = Math.floor(distance / (1000 * 60 * 60 * 24));
                        const hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
                        const minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
                        const seconds = Math.floor((distance % (1000 * 60)) / 1000);

                        countdown.innerHTML = `
                        <div class="countdown-box">
                            ${days}<span>Days</span>
                        </div>
                        <div class="countdown-box">
                            ${hours}<span>Hours</span>
                        </div>
                        <div class="countdown-box">
                            ${minutes}<span>Minutes</span>
                        </div>
                        <div class="countdown-box">
                            ${seconds}<span>Seconds</span>
                        </div>
                    `;
                    } else {
                        countdown.innerHTML = "<p class='text-danger'>Event Started!</p>";
                    }
                });
            }

            // Update countdowns every second
            setInterval(updateCountdowns, 1000);
            updateCountdowns(); // Initial call to display the countdown immediately
        });
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            // Initialize Bootstrap carousel if you haven't already included Bootstrap JS
            const carouselElement = document.getElementById('event-carousel');

            if (carouselElement) {
                // Ensure Bootstrap's carousel plugin is initialized
                new bootstrap.Carousel(carouselElement, {
                    interval: 5000, // Optional: time in ms between slides
                    ride: 'carousel' // Optional: ride the carousel
                });
            }

            // Countdown Timer Functionality
            function updateCountdown() {
                const countdowns = document.querySelectorAll('.countdown');
                const now = new Date();

                countdowns.forEach(countdown => {
                    const eventDate = new Date(countdown.getAttribute('data-event-date'));
                    const timeDifference = eventDate - now;

                    if (timeDifference > 0) {
                        const days = Math.floor(timeDifference / (1000 * 60 * 60 * 24));
                        const hours = Math.floor((timeDifference % (1000 * 60 * 60 * 24)) / (1000 * 60 *
                            60));
                        const minutes = Math.floor((timeDifference % (1000 * 60 * 60)) / (1000 * 60));
                        const seconds = Math.floor((timeDifference % (1000 * 60)) / 1000);

                        countdown.innerHTML = `
                    <div class="countdown-box">${days}<span>Days</span></div>
                    <div class="countdown-box">${hours}<span>Hours</span></div>
                    <div class="countdown-box">${minutes}<span>Minutes</span></div>
                    <div class="countdown-box">${seconds}<span>Seconds</span></div>
                `;
                    } else {
                        countdown.innerHTML = `<div class="countdown-box">Expired</div>`;
                    }
                });
            }

            // Update countdown every second
            setInterval(updateCountdown, 1000);

            // Initial call to populate countdown on page load
            updateCountdown();
        });
        document.addEventListener('DOMContentLoaded', function() {
            const carouselElement = document.getElementById('event-carousel');

            if (carouselElement) {
                new bootstrap.Carousel(carouselElement, {
                    interval: 5000, // Optional: time in ms between slides
                    ride: 'carousel' // Optional: ride the carousel
                });
            }
        });
    </script>
    <script>
        $(document).ready(function() {
            $('#notificationDropdown').on('click', function() {
                $.ajax({
                    url: 'fetch_notifications.php',
                    type: 'GET',
                    data: {
                        zone: '<?php echo $_SESSION['zone']; ?>'
                    },
                    dataType: 'json',
                    success: function(data) {
                        console.log('Fetched notifications:', data);
                        let notificationList = $('#notificationList');
                        notificationList.empty();

                        if (data.length === 0) {
                            notificationList.append(
                                '<div class="dropdown-item">No Notifications</div>');
                        } else {
                            data.forEach(notification => {
                                let createdDate = new Date(notification.created_at);
                                let formattedDate = formatDate(createdDate);
                                let timeAgo = timeSince(createdDate);
                                let unreadBadge = notification.is_read === 0 ?
                                    '<span class="badge badge-danger">Unread</span>' :
                                    '';

                                notificationList.append(`
                            <a class="dropdown-item" href="read_notification.php?id=${notification.id}">
                                ${unreadBadge} ${notification.message}
                                <small class="text-muted">${formattedDate} (${timeAgo})</small>
                            </a>
                        `);
                            });
                        }

                        $('.badge-danger').text(data.length);
                    },
                    error: function(xhr, status, error) {
                        console.error('Error loading notifications:', error);
                    }
                });
            });
        });

        function formatDate(date) {
            const options = {
                day: 'numeric',
                month: 'short',
                year: 'numeric'
            };
            let day = date.getDate();
            let month = date.toLocaleString('default', {
                month: 'short'
            });
            let suffix = day % 10 === 1 && day !== 11 ? 'st' :
                day % 10 === 2 && day !== 12 ? 'nd' :
                day % 10 === 3 && day !== 13 ? 'rd' : 'th';
            return `${day}${suffix} ${month}, ${date.getFullYear()}`;
        }

        function timeSince(date) {
            const seconds = Math.floor((new Date() - date) / 1000);
            let interval = Math.floor(seconds / 31536000);
            if (interval > 1) return interval + " years ago";
            interval = Math.floor(seconds / 2592000);
            if (interval > 1) return interval + " months ago";
            interval = Math.floor(seconds / 86400);
            if (interval > 1) return interval + " days ago";
            interval = Math.floor(seconds / 3600);
            if (interval > 1) return interval + " hours ago";
            interval = Math.floor(seconds / 60);
            if (interval > 1) return interval + " minutes ago";
            return seconds + " seconds ago";
        }
    </script>
    <script>
        document.querySelectorAll('.video-card').forEach(card => {
            card.addEventListener('click', function() {
                let videoId = this.getAttribute('data-id');
                let iframe = this.querySelector('.video-iframe');
                let thumbnail = this.querySelector('.video-thumbnail');
                let playIcon = this.querySelector('.play-icon');

                if (videoId) {
                    iframe.src = `https://www.youtube.com/embed/${videoId}?autoplay=1`;
                    iframe.style.display = "block";
                    thumbnail.style.display = "none";
                    playIcon.style.display = "none";
                }
            });
        });
    </script>

    <!-- Scripts -->

</body>

</html>